Issue 11038

Title
Board view crash on open due to many roots on xml
Priority
bug
Status
closed
Superseder
Board does not support inheritance (issue 11108)
Nosy list
ced, reviewbot, smn
Assigned to
ced
Keywords
review

Created on 2021-12-09.16:55:00 by smn, last changed 4 months ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-12-31.14:11:32

Indeed this is because the clients are reading directly the arch of the view. So the inheritage and comment stripping are not performed.
This will be fixed by issue11108 and for older version the XML of the board view must not contain any comment.

Author: [hidden] (smn)
Date: 2021-12-21.12:57:19

But the board view of dashboard module does not crash, so I suppose comments are already removed in this case but not in the rest of board views.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-12-21.12:50:03

The comments are always removed so this should be analyzed why the client receive comments. I thought it was because of the dashboard module as it construct the view.

Author: [hidden] (smn)
Date: 2021-12-21.12:37:06

I think it is better to fix the dashboard module to strip the comment.

It is not related with dashboard module but with any board view. I don't understand why the comment should be stripped in board views and not in tree or form views.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-12-21.12:34:04

I think it is better to fix the dashboard module to strip the comment.

Author: [hidden] (smn)
Date: 2021-12-09.16:55:00

When opening a board view the gtk client 6.0 crashes with error:

  File "/home/smorillo/code/tryton-hg/tryton/common/common.py", line 1138, in process
    self.callback(return_)
  File "/home/smorillo/code/tryton-hg/tryton/gui/window/wizard.py", line 152, in end_callback
    callback()
  File "/home/smorillo/code/tryton-hg/tryton/gui/window/wizard.py", line 136, in <lambda>
    self.end(lambda *a: execute_actions())
  File "/home/smorillo/code/tryton-hg/tryton/gui/window/wizard.py", line 133, in execute_actions
    Action.execute(*action, context=context)
  File "/home/smorillo/code/tryton-hg/tryton/action/main.py", line 55, in execute
    Action._exec_action(action, data, context=context)
  File "/home/smorillo/code/tryton-hg/tryton/action/main.py", line 132, in _exec_action
    Window.create(res_model,
  File "/home/smorillo/code/tryton-hg/tryton/gui/window/window.py", line 35, in create
    win = Board(model, **attributes)
  File "/home/smorillo/code/tryton-hg/tryton/gui/window/board.py", line 37, in __init__
    root, = xml_dom.childNodes

ValueError: too many values to unpack (expected 1)

Debugging I see childNodes has the board tag (that's ok) and also the usual file header comment as another element in list.
Removing the comment the board view opens correctly.

History
Date User Action Args
2021-12-31 14:11:32cedsetmessages: + msg73029
status: in-progress -> closed
superseder: + Board does not support inheritance
2021-12-31 14:02:13cedsetassignedto: ced
status: chatting -> in-progress
type: crash
2021-12-21 12:57:19smnsetmessages: + msg72850
2021-12-21 12:50:03cedsetmessages: + msg72848
2021-12-21 12:37:06smnsetmessages: + msg72847
2021-12-21 12:34:04cedsetmessages: + msg72846
nosy: + ced
2021-12-14 10:05:40reviewbotsetmessages: + msg72528
nosy: + reviewbot
status: unread -> chatting
2021-12-14 00:30:02smnsetkeyword: + review
reviews: 374481002
2021-12-09 16:55:00smncreate

Showing 10 items. Show all history (warning: this could be VERY long)